Subject: Re: bug#27053: 26.0.50; x-show-tip gets wrong mouse position if frame moves w/o mouse moving on macOS

From: Aaron Jensen <[email-masked]>
Date: Wed, 24 May 2017 07:42:37 -0700

On Wed, May 24, 2017 at 5:53 AM, martin rudalics <[email-masked]> wrote:
> I'm not quite sure I understand.  On Windows the tooltip appears at the
> same display position in both cases because the mouse cursor did not
> move.  Where does your second showing of a tooltip take place?

It sounds like that's the correct behavior on Window.

On macOS the second tooltip appears in the same *frame* position as it
did before, but it is now offset 100x100 from the actual mouse
position.

It's as if emacs updates the mouse position only on mouse move and
stores it in frame local coordinates on macOS.